Name:           perl-HTTP-Entity-Parser
Version:        0.18
Release:        2%{?dist}
Summary:        PSGI compliant HTTP Entity Parser
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/HTTP-Entity-Parser/
Source0:        http://www.cpan.org/authors/id/K/KA/KAZEBURO/HTTP-Entity-Parser-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl >= 0:5.008005
BuildRequires:  perl-generators

BuildRequires:  perl(Carp)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Hash::MultiValue)
BuildRequires:  perl(HTTP::Headers)
BuildRequires:  perl(HTTP::Message) >= 6
BuildRequires:  perl(HTTP::MultiPartParser)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(JSON::MaybeXS) >= 1.003007
BuildRequires:  perl(Module::Build::Tiny) >= 0.035
BuildRequires:  perl(Module::Load)
BuildRequires:  perl(Stream::Buffered)
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(WWW::Form::UrlEncoded) >= 0.23

BuildRequires:  perl(base)
BuildRequires:  perl(strict)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
HTTP::Entity::Parser is a PSGI-compliant HTTP Entity parser. This module
also is compatible with HTTP::Body. Unlike HTTP::Body, HTTP::Entity::Parser
reads HTTP entities from PSGI's environment $env->{'psgi.input'} and parses
it. This module supports application/x-www-form-urlencoded, multipart/form-
data and application/json.

%prep
%setup -q -n HTTP-Entity-Parser-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README.md eg/
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Nov 03 2016 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.18-2
- Reflect feedback from review.

* Fri Oct 07 2016 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.18-1
- Initial Fedora package.
